#ifndef __SX_CONSOLE_H__
#define __SX_CONSOLE_H__

#include "sxTypes.h"

typedef enum {
	ecBlack,
	ecBlue,
	ecGreen,
	ecCyan,
	ecRed,
	ecMagenta,
	ecYellow,
	ecWhite,
	ecGrey,
	ecBrightBlue,
	ecBrightGreen,
	ecBrightCyan,
	ecBrightRed,
	ecBrightMagenta,
	ecBrightYellow,
	ecBrightWhite
} sx_eColors;

void SxConClear();
void SxConClearLine();
void SxConChar(char);
void SxConPrint(const char*, ...);
void SxConPrintVa(const char*, sx_va_list);
void SxConSetBackColor(sx_eColors);
void SxConSetTextColor(sx_eColors);
void SxConSetColor(sx_eColors, sx_eColors);
void SxConGetColor(sx_eColors*, sx_eColors*);
void SxConSetPos(unsigned int, unsigned int);
void SxConGetPos(unsigned int*, unsigned int*);
void SxConGetSize(unsigned int*, unsigned int*);

#endif