#include "sxBoot.h"
#include "sxMain.h"
#include "sxTypes.h"

SX_NAKED SX_NORETURN void SxCoreEntry() {
	EMIT_DWORD(0x1BADB002)													; // magic
    EMIT_DWORD(1 << 16)														; // flags
    EMIT_DWORD(-(0x1BADB002 + (1 << 16)))									; // checksum
    EMIT_DWORD(SX_KERNEL_BASE + SX_KERNEL_SECTION_ALIGN)					; // header_addr
    EMIT_DWORD(SX_KERNEL_BASE + SX_KERNEL_SECTION_ALIGN)					; // load_addr
    EMIT_DWORD(SX_KERNEL_BASE + SX_KERNEL_SECTION_ALIGN + SX_KERNEL_SIZE)	; // load_end_addr
    EMIT_DWORD(SX_KERNEL_BASE + SX_KERNEL_SECTION_ALIGN + SX_KERNEL_SIZE)	; // bss_end_addr
    EMIT_DWORD(SX_KERNEL_BASE + SX_KERNEL_SECTION_ALIGN + 0x30)				; // entry_addr
    EMIT_DWORD(0x00000000)													; // mode_type
    EMIT_DWORD(0x00000000)													; // width
    EMIT_DWORD(0x00000000)													; // height
    EMIT_DWORD(0x00000000)													; // depth

	__asm {
		mov		esp,	SX_KERNEL_STACK

		xor		ecx,	ecx
		push	ecx
		popf

		push	ebx
		push	eax
		call	SxCoreMain
		call	SxCoreHalt
	}
}
